For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Connection Types
      • GETGet Connection Type
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • POSTTest Connection
      • GETGet Connection
      • PUTUpdate Connection
      • DELDelete Connection
      • GETConnection Parameter Values
      • POSTExecute Connection Proxy
      • GETGet Connection Proxy Info
      • GETList Current Org Shared Connections
      • GETList Partner Shared Connections
      • POSTCreate Partner Shared Connection
Logo
Log inBook a demo
API ReferenceConnections

Connection Type Parameter Values

POST
https://app.polytomic.com/api/connection_types/:type/parameter_values
POST
/api/connection_types/:type/parameter_values
$curl -X POST https://app.polytomic.com/api/connection_types/type/parameter_values \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "field": "region",
> "parameters": {
> "byo_app_token": "a1b2c3d4e5f6g7h8i9j0",
> "name": "Salesforce Integration"
> }
>}'
1{
2 "data": {}
3}
Returns completion values for parameter fields on a connection type. This endpoint is useful during connection setup, before a connection exists or before you want to persist it. The supplied `parameters` are applied to a temporary in-memory connection shape and used to resolve dependent options. When an endpoint requires upstream authorization before it can return values, Polytomic returns an error instead of guessing. In that case, complete the authorization flow first and call the endpoint again.
Was this page helpful?
Previous

List Connections

Next

Returns completion values for parameter fields on a connection type.

This endpoint is useful during connection setup, before a connection exists or before you want to persist it. The supplied parameters are applied to a temporary in-memory connection shape and used to resolve dependent options.

When an endpoint requires upstream authorization before it can return values, Polytomic returns an error instead of guessing. In that case, complete the authorization flow first and call the endpoint again.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

typestringRequired

Headers

X-Polytomic-VersionstringOptional

Request

This endpoint expects an object.
fieldstringRequired
parametersmap from strings to any or nullRequired
connection_idstringOptionalformat: "uuid"
querystringOptional

Response

OK
datamap from strings to objects or null

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error